## debian-installer-utils 1.59ubuntu3

=== debian/changelog ===
debian-installer-utils (1.59ubuntu3) intrepid; urgency=low

  * list-devices: new "usb-partition" type for detecting partitions on
    USB drives (LP: #234185)

 -- Tormod Volden <debian.tormod@gmail.com>  Mon, 22 Sep 2008 00:31:05 +0200

debian-installer-utils (1.59ubuntu2) intrepid; urgency=low

  * Use /proc/self/fd/4 rather than /dev/fd/4 in fetch-url-methods/http; the
    latter doesn't seem to exist in d-i.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 30 Jul 2008 13:48:12 +0100

debian-installer-utils (1.59ubuntu1) intrepid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - user-params: Don't propagate vga=* or break=* to installed system.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 23 Jun 2008 18:07:32 +0100

debian-installer-utils (1.59) unstable; urgency=low

  * Ensure that terminfo files do not have strange modes, as in the last
    upload.

 -- Joey Hess <joeyh@debian.org>  Fri, 20 Jun 2008 13:04:48 -0400

debian-installer-utils (1.58) unstable; urgency=low

  [ Evan Dandrea ]
  * Avoid triggering sound events, which can cause audio to be played every
    time update-dev runs; only relevant in live CD environments such as
    Ubuntu's (LP: #178057).

  [ Philip Hands ]
  * Move fetch-url here from preseed.
  * Take inspiration from cdebconf about wget -c.
  * Add wrapper to wget that allows it to differentiate 404s as originally
    suggested by Alex Owen (closes: #422088).
  * Modify all fetch methods to return 4 for missing files.
  * Incorporate loads of suggestions from Frans Pop.

  [ Frans Pop ]
  * in-target: accept --pass-stdout option and pass it on to log-output.
    Allows more flexible use of in-target, especially for single commands
    that need a correct target environment.
  * chroot-setup.sh: allow to override the normal LANG setting.

  [ Updated translations ]
  * Belarusian (be.po) by Pavel Piatruk
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio
  * Hungarian (hu.po) by SZERVÁC Attila
  * Marathi (mr.po) by Sampada
  * Panjabi (pa.po) by Amanpreet Singh Alam

 -- Frans Pop <fjp@debian.org>  Tue, 17 Jun 2008 14:20:06 +0200

debian-installer-utils (1.57ubuntu1) intrepid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - user-params: Don't propagate vga=* or break=* to installed system.
    - update-dev: Avoid triggering sound events, which can cause audio to be
      played every time update-dev runs.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 08 May 2008 01:28:48 +0100

debian-installer-utils (1.57) unstable; urgency=low

  * Remove David Kimdon, Matt Kraai and Tollef Fog Heen as Uploaders with many
    thanks for their past contributions.
  * Unmount /cdrom during package installation even if the user did not scan
    additional CDs as otherwise accessing the CD may fail. See: #474346.

  [ Updated translations ]
  * Malayalam (ml.po) by Praveen|പ്രവീണ്‍ A|എ
  * Marathi (mr.po)

 -- Frans Pop <fjp@debian.org>  Mon, 28 Apr 2008 07:11:36 +0200

debian-installer-utils (1.56) unstable; urgency=low

  * Make apt-install safe to be used during pkgsel when the installation CD
    may already be unmounted in the D-I environment.
  * user-params: also exclude debconf variables with '?=' (unset seen flag).
    Update testset to catch that. Closes: #470892.

  [ Updated translations ]
  * Basque (eu.po) by Piarres Beobide
  * Dutch (nl.po) by Frans Pop

 -- Frans Pop <fjp@debian.org>  Wed, 19 Mar 2008 20:52:10 +0100

debian-installer-utils (1.55) unstable; urgency=low

  * chroot-setup.sh: also mount /dev/pts to avoid errors like:
    Can not write log, openpty() failed (/dev/pts not mounted?)
    Thanks to Petter Reinholdtsen for the patch. Closes: #463866.

 -- Frans Pop <fjp@debian.org>  Sat, 16 Feb 2008 13:48:36 +0100

debian-installer-utils (1.54) unstable; urgency=low

  [ Updated translations ]
  * Finnish (fi.po) by Esko Arajärvi
  * Indonesian (id.po) by Arief S Fitrianto
  * Turkish (tr.po) by Recai Oktaş
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Otavio Salvador <otavio@debian.org>  Fri, 15 Feb 2008 08:08:48 -0200

debian-installer-utils (1.53) unstable; urgency=low

  * apt-install: add -q option for apt-get which fixes the restarting of the
    progress bar every time apt-install was called from base-installer.

  [ Updated translations ]
  * Latvian (lv.po) by Viesturs Zarins
  * Panjabi (pa.po) by Amanpreet Singh Alam
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)

 -- Frans Pop <fjp@debian.org>  Thu, 07 Feb 2008 08:12:51 +0100

debian-installer-utils (1.52) unstable; urgency=low

  [ Christian Perrier ]
  * Spell "Debian" correctly in packages' descriptions
  * Do not ignore errors from 'make clean' in the clean target

  [ Updated translations ]
  * Amharic (am.po) by tegegne tefera
  * Korean (ko.po) by Changwoo Ryu
  * Malayalam (ml.po) by Praveen|പരവീണ A|എ
  * Panjabi (pa.po) by A S Alam

 -- Christian Perrier <bubulle@debian.org>  Thu, 10 Jan 2008 07:38:00 +0100

debian-installer-utils (1.51) unstable; urgency=low

  [ Colin Watson ]
  * user-params: Exclude ks=, used by kickseed.
  * list-devices: udev 117 merged all udev tools into a single binary called
    udevadm. Check for this and use it instead of udevinfo if available.
  * update-dev: Likewise for udevtrigger and udevsettle.

  [ Joey Hess ]
  * chroot-setup.sh: Prepare for apt-listchanges being priority standard
    by avoiding it trying to display changes in the d-i environment. (Could
    happen if a package installation involves upgrading something else.)

 -- Colin Watson <cjwatson@debian.org>  Mon, 03 Dec 2007 12:43:29 +0000

=== debian/control ===
Source: debian-installer-utils
Section: debian-installer
Priority: standard
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>, Frans Pop <fjp@debian.org>
Build-Depends: debhelper (>= 5.0.22), dpkg-dev (>= 1.9.0), libdebconfclient0-dev (>= 0.68), po-debconf (>= 0.5.0), libdebian-installer4-dev (>= 0.41)
XS-Original-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/debian-installer-utils
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/debian-installer-utils/ubuntu

Package: di-utils-shell
Architecture: all
Depends: ${misc:Depends}, di-utils (>= 1.18)
XB-Installer-Menu-Item: 95000
Description: Execute a shell
XC-Package-Type: udeb

Package: di-utils-reboot
Architecture: all
Depends: ${misc:Depends}
XB-Installer-Menu-Item: 99500
Description: Reboot
XC-Package-Type: udeb

Package: di-utils-exit-installer
Architecture: all
Depends: ${misc:Depends}
Priority: extra
XB-Installer-Menu-Item: 99000
Description: Exit installer
XC-Package-Type: udeb

Package: di-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Miscellaneous utilities for the debian installer
XC-Package-Type: udeb

Package: di-utils-mapdevfs
Architecture: any
Depends: ${shlibs:Depends}
Description: mapdevfs utility for the debian installer
XC-Package-Type: udeb

Package: di-utils-terminfo
Architecture: all
Description: Terminfo entries needed by newt/slang in debian installer
XC-Package-Type: udeb

=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) clean
	dh_clean

test:
	$(MAKE) -C testsuite test

install: build test

binary-indep: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdebconf -i
	dh_compress -i
	dh_fixperms -i
	for file in /usr/share/terminfo/a/ansi /usr/share/terminfo/l/linux \
	  /usr/share/terminfo/v/vt102; do \
		mkdir -p debian/di-utils-terminfo/`dirname $$file`; \
		cp -pL $$file debian/di-utils-terminfo/$$file; \
		chmod 644 debian/di-utils-terminfo/$$file; \
	done
	cp debian/di-utils-shell.isinstallable debian/di-utils-shell/DEBIAN/isinstallable
	dh_installdeb -i
	dh_gencontrol -i
	dh_builddeb -i

binary-arch: install
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_install -pdi-utils anna-install apt-install debconf-disconnect \
			      debconf-get debconf-set fetch-url log-output \
			      register-module search-path update-dev \
			      user-params in-target list-devices bin
	dh_install -pdi-utils chroot-setup.sh lib
	dh_installdirs -pdi-utils usr/lib/post-base-installer.d
	install register-module.post-base-installer debian/di-utils/usr/lib/post-base-installer.d/10register-module
	dh_install -pdi-utils-mapdevfs mapdevfs bin
	dh_link -p di-utils usr/lib/fetch-url/http usr/lib/fetch-url/ftp
	dh_installdebconf -a
	dh_compress -a
	dh_fixperms -a
	dh_strip -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## debian-installer-utils 1.65

=== debian/changelog ===
debian-installer-utils (1.65) unstable; urgency=low

  * When looking for partitions, only consider device subdirectories that end
    with a number to avoid matching directories such as power, slaves, etc.
  * Add support for MMC/SD card devices (mmcblkX). The devices are matched on
    name as udev does not return an ID_TYPE environment variable.

 -- Frans Pop <fjp@debian.org>  Mon, 29 Sep 2008 20:25:52 +0200

debian-installer-utils (1.64) unstable; urgency=low

  [ Joey Hess ]
  * update-dev: Add back support for userdevfs, which was removed mistakenly
    as part of code cleanup in version 1.47.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bengali (bn.po) by Mahay Alam Khan (মাহে আলম খান)
  * Bosnian (bs.po) by Armin Besirovic
  * Catalan (ca.po) by Jordi Mallach
  * Czech (cs.po) by Miroslav Kure
  * Welsh (cy.po) by Jonathan Price
  * Danish (da.po)
  * German (de.po) by Jens Seidel
  * Greek, Modern (1453-) (el.po)
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Finnish (fi.po) by Esko Arajärvi
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Hebrew (he.po) by Omer Zak
  * Hindi (hi.po) by Kumar Appaiah
  * Croatian (hr.po) by Josip Rodin
  * Hungarian (hu.po) by SZERVÁC Attila
  * Indonesian (id.po) by Arief S Fitrianto
  * Italian (it.po) by Milo Casagrande
  * Japanese (ja.po) by Kenshi Muto
  * Georgian (ka.po) by Aiet Kolkhi
  * Central Khmer (km.po) by KHOEM Sokhem
  * Kurdish (ku.po) by Erdal Ronahi
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Latvian (lv.po) by Aigars Mahinovs
  * Macedonian (mk.po) by Arangel Angov
  * Malayalam (ml.po) by Praveen|പ്രവീണണ്‍ A|എ
  * Nepali (ne.po) by Shiva Prasad Pokharel
  * Dutch (nl.po) by Frans Pop
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Panjabi (pa.po) by Amanpreet Singh Alam
  * Polish (pl.po) by Bartosz Fenski
  * Romanian (ro.po) by Eddy Petrișor
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Ivan Masár
  * Slovenian (sl.po) by Vanja Cvelbar
  * Albanian (sq.po) by Elian Myftiu
  * Serbian (sr.po) by Veselin Mijušković
  * Tamil (ta.po) by Dr.T.Vasudevan
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Turkish (tr.po) by Mert Dirik
  * Ukrainian (uk.po) by Євгеній Мещеряков
  * Vietnamese (vi.po) by Clytie Siddall
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke
  * Simplified Chinese (zh_CN.po) by Deng Xiyue

 -- Otavio Salvador <otavio@debian.org>  Sun, 21 Sep 2008 21:54:41 -0300

debian-installer-utils (1.63) unstable; urgency=low

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Belarusian (be.po) by Pavel Piatruk
  * Dzongkha (dz.po) by Jurmey Rabgay(Bongop) (DIT,BHUTAN)
  * Esperanto (eo.po) by Felipe Castro
  * Basque (eu.po) by Piarres Beobide
  * Finnish (fi.po) by Esko Arajärvi
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Changwoo Ryu
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Marathi (mr.po) by Sampada
  * Norwegian Bokmål (nb.po) by Hans Fredrik Nordhaug
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Romanian (ro.po) by Eddy Petrișor
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Ivan Masár
  * Swedish (sv.po) by Daniel Nylander
  * Turkish (tr.po) by Mert Dirik
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Christian Perrier <bubulle@debian.org>  Sat, 09 Aug 2008 16:32:56 -0300

debian-installer-utils (1.62) unstable; urgency=low

  [ Frans Pop ]
  * fetch-url: fix initialization of TRY_REPEAT and TRY_CONTINUE variables.
  * fetch-url-methods/http: don't attempt continuation retries if the file
    does not already exist (i.e. not at least partially downloaded).

  [ Philip Hands ]
  * remove some code duplication introduced in Alex Owen's #491098 patch.

  [ Jérémy Bobbio ]
  * Ship start-shell in di-utils.  It allows a shell to be started either with
    debconf-disconnect or with the terminal plugin for the GTK+ frontend.
  * Use start-shell in di-utils-shell.postinst.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Belarusian (be.po) by Pavel Piatruk
  * Bulgarian (bg.po) by Damyan Ivanov
  * Czech (cs.po) by Miroslav Kure
  * German (de.po) by Jens Seidel
  * Esperanto (eo.po) by Felipe Castro
  * Basque (eu.po) by Piarres Beobide
  * Finnish (fi.po) by Esko Arajärvi
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Croatian (hr.po) by Josip Rodin
  * Italian (it.po) by Milo Casagrande
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Changwoo Ryu
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Marathi (mr.po) by Sampada
  * Dutch (nl.po) by Frans Pop
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Portuguese (pt.po) by Miguel Figueiredo
  * Romanian (ro.po) by Eddy Petrișor
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Ivan Masár
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Turkish (tr.po) by Mert Dirik

 -- Otavio Salvador <otavio@debian.org>  Fri, 01 Aug 2008 14:45:27 -0300

debian-installer-utils (1.61) unstable; urgency=low

  * update-dev: remove obsolete fallbacks to udevtrigger and udevsettle.
  * Apply patch from Alex Owen to update wget error checks to current busybox
    wget output and similar checking for FTP. Closes: #491098.

  [ Updated translations ]
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)

 -- Frans Pop <fjp@debian.org>  Wed, 16 Jul 2008 20:06:49 +0200

debian-installer-utils (1.60) unstable; urgency=low

  * Use new "mountmedia floppy" command instead of mountfloppy.

 -- Joey Hess <joeyh@debian.org>  Mon, 07 Jul 2008 14:09:33 -0400

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: debian-installer-utils
 Section: debian-installer
 Priority: standard
-Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>, Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>, Frans Pop <fjp@debian.org>
 Build-Depends: debhelper (>= 5.0.22), dpkg-dev (>= 1.9.0), libdebconfclient0-dev (>= 0.68), po-debconf (>= 0.5.0), libdebian-installer4-dev (>= 0.41)
-XS-Original-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/debian-installer-utils
-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/debian-installer-utils/ubuntu
+Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/debian-installer-utils
 
 Package: di-utils-shell
 Architecture: all
-Depends: ${misc:Depends}, di-utils (>= 1.18)
+Depends: ${misc:Depends}, di-utils (>= 1.62)
 XB-Installer-Menu-Item: 95000
 Description: Execute a shell
 XC-Package-Type: udeb

=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,6 @@
 		cp -pL $$file debian/di-utils-terminfo/$$file; \
 		chmod 644 debian/di-utils-terminfo/$$file; \
 	done
-	cp debian/di-utils-shell.isinstallable debian/di-utils-shell/DEBIAN/isinstallable
 	dh_installdeb -i
 	dh_gencontrol -i
 	dh_builddeb -i

## debian-installer-utils 1.66ubuntu1

=== debian/changelog ===
debian-installer-utils (1.66ubuntu1) jaunty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - user-params: Don't propagate vga=* or break=* to installed system.
    - Use /proc/self/fd/4 rather than /dev/fd/4 in fetch-url-methods/http;
      the latter doesn't seem to exist in d-i.
    - list-devices: new "usb-partition" type for detecting partitions on USB
      drives.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 Feb 2009 06:50:43 +0000

debian-installer-utils (1.66) unstable; urgency=low

  * start-shell: Use cdebconf-newt-terminal if available (closes: #412168).
  * update-dev: Add a --settle switch to skip 'udevadm trigger', which can
    cause problems in some cases (see e.g.
    https://lists.ubuntu.com/archives/ubuntu-devel/2009-January/027260.html),
    but is necessary in others (e.g. we just installed new modules so need
    to get udev to reprocess old events in light of their presence).
  * user-params: Exclude noshell, used by rootskel 1.74. See #504381.
  * Don't ignore 'make clean' errors; we always have a Makefile.

  [ Updated translations ]
  * Esperanto (eo.po) by Felipe Castro
  * Basque (eu.po) by Piarres Beobide
  * Galician (gl.po) by Marce Villarino
  * Hindi (hi.po) by Kumar Appaiah
  * Kazakh (kk.po) by daur88
  * Malayalam (ml.po) by Praveen Arimbrathodiyil
  * Marathi (mr.po) by Sampada
  * Swedish (sv.po) by Daniel Nylander
  * Tagalog (tl.po) by Eric Pareja

 -- Colin Watson <cjwatson@debian.org>  Fri, 27 Feb 2009 06:08:26 +0000

debian-installer-utils (1.65ubuntu2) jaunty; urgency=low

  * start-shell: Use cdebconf-newt-terminal if available (closes: #412168,
    LP: #35400).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 16 Feb 2009 14:00:25 +0000

debian-installer-utils (1.65ubuntu1) jaunty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - user-params: Don't propagate vga=* or break=* to installed system.
    - Use /proc/self/fd/4 rather than /dev/fd/4 in fetch-url-methods/http;
      the latter doesn't seem to exist in d-i.
    - list-devices: new "usb-partition" type for detecting partitions on USB
      drives.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 03 Nov 2008 14:08:16 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: debian-installer-utils
 Section: debian-installer
 Priority: standard
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>, Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>, Frans Pop <fjp@debian.org>
 Build-Depends: debhelper (>= 5.0.22), dpkg-dev (>= 1.9.0), libdebconfclient0-dev (>= 0.68), po-debconf (>= 0.5.0), libdebian-installer4-dev (>= 0.41)
-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/debian-installer-utils
+XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/debian-installer-utils
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/debian-installer-utils/ubuntu
 
 Package: di-utils-shell
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp
-	-$(MAKE) clean
+	$(MAKE) clean
 	dh_clean
 
 test:

## debian-installer-utils 1.72ubuntu5.2

=== debian/changelog ===
debian-installer-utils (1.72ubuntu5.2) lucid-proposed; urgency=low

  [ Scott Moser ]
  * Add --quiet to dpkg-divert calls in chroot_setup.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 06 Jan 2012 12:25:41 +0000

debian-installer-utils (1.72ubuntu5.1) lucid-proposed; urgency=low

  * chroot_setup.sh: Divert start-stop-daemon and initctl rather than simply
    moving them aside (LP: #900526).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 04 Jan 2012 15:04:36 +0000

debian-installer-utils (1.72ubuntu5) lucid; urgency=low

  * Backport from trunk:
    - list-devices: Consider virtio devices as disks (LP: #568143).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 23 Apr 2010 00:07:00 +0100

debian-installer-utils (1.72ubuntu4) lucid; urgency=low

  * user-params: Skip *-ubiquity and noninteractive command line options,
    only used on the live CD.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 12 Feb 2010 16:04:35 +0000

debian-installer-utils (1.72ubuntu3) lucid; urgency=low

  * Backport from trunk:
    - list-devices: Don't fall over if dmraid fails (thanks, Joel Ebel;
      LP: #514595).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 04 Feb 2010 11:27:40 -0800

debian-installer-utils (1.72ubuntu2) lucid; urgency=low

  * Backport from trunk:
    - list-devices: Add support for dmraid disks and partitions.  Exclude
      disks and partitions that are already part of a dmraid set.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 27 Jan 2010 16:42:07 +0000

debian-installer-utils (1.72ubuntu1) lucid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - user-params: Don't propagate vga=* or break=* to installed system.
    - Use /proc/self/fd/4 rather than /dev/fd/4 in fetch-url-methods/http;
      the latter doesn't seem to exist in d-i.
    - list-devices: new "mmc-partition" type for detecting partitions on MMC
      devices.
    - Don't include the battery subsystem on calls to udevadm trigger.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 15 Nov 2009 17:38:02 -0600

debian-installer-utils (1.72) unstable; urgency=low

  [ Colin Watson ]
  * Upgrade to debhelper v7.
  * Add a dummy initctl similar to the dummy start-stop-daemon, so that
    attempts to control Upstart jobs (if Upstart is in use) won't do
    anything.

  [ Aurelien Jarno ]
  * Also ship other terminfo on GNU/kFreeBSD, they are also used in some
    cases (e.g. installation through ssh).

  [ Chris Lamb ]
  * Add "usb-partition" argument to list-devices for detecting partitions on
    USB drives. Patch originally by Tormod Volden <debian.tormod@gmail.com>.
    Option is to be used for creating Debian Live USB sticks.

  [ Frans Pop ]
  * apt-install: no longer disable Recommends; it is now a global setting.
  * register-module: stop calling the obsolete update-modules.

  [ Ryan Niebur ]
  * add support for tftp to fetch-url for preseeding (Closes: 509723)

  [ Frans Pop ]
  * Remove no longer needed Lintian override for missing Standards-
    Version field.

  [ Updated translations ]
  * Amharic (am.po) by Tegegne Tefera
  * Arabic (ar.po) by Ossama M. Khayat
  * Asturian (ast.po) by Marcos Antonio Alvarez Costales
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Ask Hjorth Larsen
  * Estonian (et.po) by Mattias Põldaru
  * Finnish (fi.po) by Esko Arajärvi
  * Hindi (hi.po)
  * Italian (it.po) by Milo Casagrande
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Changwoo Ryu
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Dutch (nl.po) by Frans Pop
  * Slovak (sk.po) by Ivan Masár
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Vietnamese (vi.po) by Clytie Siddall

 -- Colin Watson <cjwatson@debian.org>  Sun, 15 Nov 2009 23:27:59 +0000

debian-installer-utils (1.71ubuntu1) lucid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - user-params: Don't propagate vga=* or break=* to installed system.
    - Use /proc/self/fd/4 rather than /dev/fd/4 in fetch-url-methods/http;
      the latter doesn't seem to exist in d-i.
    - list-devices: new "usb-partition" type for detecting partitions on USB
      drives; new "mmc-partition" type for detecting partitions on MMC
      devices.
    - Don't include the battery subsystem on calls to udevadm trigger.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 12 Nov 2009 03:21:30 -0800

debian-installer-utils (1.71) unstable; urgency=low

  [ Luca Favatella ]
  * Add 'cons25' terminfo file (used by kfreebsd-i386).
  * Make di-utils-terminfo Architecture: any to avoid size increase.

 -- Colin Watson <cjwatson@debian.org>  Sat, 18 Jul 2009 20:58:07 +0200

debian-installer-utils (1.70ubuntu2) karmic; urgency=low

  * list-devices: also allow platform-mxsdhci and platform-orion-ehci as
    ID_PATH for mmc devices.

 -- Loïc Minier <loic.minier@ubuntu.com>  Tue, 06 Oct 2009 23:03:39 +0100

debian-installer-utils (1.70ubuntu1) karmic; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - user-params: Don't propagate vga=* or break=* to installed system.
    - Use /proc/self/fd/4 rather than /dev/fd/4 in fetch-url-methods/http;
      the latter doesn't seem to exist in d-i.
    - list-devices: new "usb-partition" type for detecting partitions on USB
      drives; new "mmc-partition" type for detecting partitions on MMC
      devices.
    - Don't include the battery subsystem on calls to udevadm trigger.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 07 Jul 2009 12:52:08 +0100

debian-installer-utils (1.70) unstable; urgency=low

  [ Otavio Salvador ]
  * di-utils-exit-installer: change template description to make it generic.

  [ Colin Watson ]
  * Change in-target and apt-install to pass through non-zero exit codes
    unmolested rather than collapsing them to 1. In particular, this allows
    cancellation exit codes from debconf-apt-progress to be detected by
    apt-setup (see
    http://lists.debian.org/debian-boot/2008/01/msg00094.html).



## debian-installer-utils 1.82

=== debian/changelog ===
debian-installer-utils (1.82) unstable; urgency=low

  [ Updated translations ]
  * Lao (lo.po) by Anousak Souphavanh
  * Northern Sami (se.po) by Børre Gaup
  * Sinhala (si.po) by Danishka Navin

 -- Otavio Salvador <otavio@debian.org>  Fri, 24 Dec 2010 19:52:53 -0200

debian-installer-utils (1.81) unstable; urgency=low

  [ Updated translations ]
  * Bengali (bn.po) by Israt Jahan
  * Catalan (ca.po) by Jordi Mallach

 -- Otavio Salvador <otavio@debian.org>  Fri, 12 Nov 2010 15:21:32 -0200

debian-installer-utils (1.80) unstable; urgency=low

  [ Colin Watson ]
  * Record mountpoints immediately after mounting /target/proc, /target/sys,
    etc.  Add a chroot_cleanup_localmounts function to chroot-setup.sh which
    differs from chroot_cleanup in that it undoes just these mounts rather
    than checking for others created since chroot_setup was called, mainly
    for use by apt-setup.

  [ Samuel Thibault ]
  * debian/rules: Add mach-color terminfo on hurd.

  [ Otavio Salvador ]
  * Provide a consistent mtab file in /target to allow usage of this
    information by tasksel and other utilities during install.

  [ Updated translations ]
  * Danish (da.po) by Anders Jenbo
  * Kazakh (kk.po) by Baurzhan Muftakhidinov
  * Simplified Chinese (zh_CN.po) by YunQiang Su

 -- Otavio Salvador <otavio@debian.org>  Thu, 14 Oct 2010 12:00:27 -0300

debian-installer-utils (1.79) unstable; urgency=low

  [ Aurelien Jarno ]
  * Only detect /dev/cd0 as a CD-ROM drive on GNU/kFreeBSD, to prevent
    multiple /etc/fstab entries.
  * Mount /target/sys in chroot_setup () on GNU/KFreeBSD.

  [ Colin Watson ]
  * udev 152 changed the default action for 'udevadm trigger' from 'add' to
    'change'.  We really do need 'add' after installing new kernel modules,
    so specify this explicitly.

  [ Jeremie Koenig ]
  * in-target: Check for /target/sys only if /sys/devices exists, to avoid
    enforcing it on systems without a sysfs (ie. Hurd). Closes: #592684.

 -- Colin Watson <cjwatson@debian.org>  Mon, 23 Aug 2010 14:06:40 +0100

debian-installer-utils (1.78) unstable; urgency=low

  [ Otavio Salvador ]
  * When running in live-installer di-utils-reboot ought to quit
    installer if not rebooting/halting the machine. Closes: #589453.

  [ Aurelien Jarno ]
  * Install a different list-devices script per OS.
  * Add a GNU/kFreeBSD version of list-devices.
  * Add a Hurd version of list-devices.

  [ Updated translations ]
  * Asturian (ast.po) by maacub
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bosnian (bs.po) by Armin Beširović
  * Danish (da.po) by Jacob Sparre Andersen
  * Persian (fa.po) by Ebrahim Byagowi
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Telugu (te.po) by Arjuna Rao Chavala

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 22 Aug 2010 19:27:27 +0200

debian-installer-utils (1.77) unstable; urgency=low

  [ Updated translations ]
  * Belarusian (be.po) by Viktar Siarheichyk
  * Croatian (hr.po) by Josip Rodin
  * Kurdish (ku.po) by Erdal Ronahi
  * Macedonian (mk.po) by Arangel Angov
  * Nepali (ne.po)

 -- Christian Perrier <bubulle@debian.org>  Sun, 11 Jul 2010 11:06:00 +0200

debian-installer-utils (1.76) unstable; urgency=low

  [ Samuel Thibault ]
  * debian/rules: Add hurd terminfo on hurd.
 
  [ Colin Watson ]
  * list-devices: Consider Xen virtual block devices as disks.

  [ Updated translations ]
  * Amharic (am.po) by Tegegne Tefera
  * Bosnian (bs.po) by Armin Beširović
  * Danish (da.po) by Jacob Sparre Andersen
  * Dzongkha (dz.po) by Jurmey Rabgay
  * Persian (fa.po) by acathur
  * Hungarian (hu.po) by SZERVÁC Attila
  * Indonesian (id.po) by Arief S Fitrianto
  * Georgian (ka.po) by Aiet Kolkhi
  * Kazakh (kk.po) by Baurzhan Muftakhidinov
  * Central Khmer (km.po) by Khoem Sokhem
  * Latvian (lv.po) by Aigars Mahinovs
  * Malayalam (ml.po) by Praveen Arimbrathodiyil
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Romanian (ro.po) by ioan-eugen stan
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Colin Watson <cjwatson@debian.org>  Tue, 06 Jul 2010 11:30:19 +0100

debian-installer-utils (1.75) unstable; urgency=low

  * Add GNU/kFreeBSD specific code to setup the chroot.

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach
  * Norwegian Nynorsk (nn.po) by Eirik U. Birkeland

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 13 May 2010 23:35:59 +0200

debian-installer-utils (1.74) unstable; urgency=low

  * list-devices: Add support for dmraid disks and partitions.  Exclude
    disks and partitions that are already part of a dmraid set.
  * list-devices: Consider virtio devices as disks (LP: #568143).
  * ncurses-base 5.4-9 moved the base terminfo descriptions to
    /lib/terminfo, and ncurses-base 5.7+20100313-1 removed the compatibility
    symlinks in /usr/share/terminfo.  Cope with either directory for
    convenience, in case we ever need descriptions that are still in
    /usr/share/terminfo.

  [ Updated translations ]
  * Belarusian (be.po) by Pavel Piatruk
  * Bengali (bn.po) by Israt Jahan
  * German (de.po) by Holger Wansing
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * French (fr.po) by Christian Perrier
  * Hebrew (he.po) by Omer Zak
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Marathi (mr.po) by Sampada
  * Panjabi (pa.po) by A S Alam
  * Slovenian (sl.po) by Vanja Cvelbar
  * Albanian (sq.po) by Elian Myftiu
  * Tamil (ta.po) by Dr,T,Vasudevan
  * Simplified Chinese (zh_CN.po) by 苏运强

 -- Colin Watson <cjwatson@debian.org>  Tue, 27 Apr 2010 11:23:35 +0100

debian-installer-utils (1.73) unstable; urgency=low

  * di-utils-shell: avoid error when running at priority critical.
    Closes: #561074.
  * apt-install: allow to force installing or ignoring Recommends irrespective
    of the default set in base-installer/install-recommends.
    Use of this option requires base-installer 1.104.

  [ Updated translations ]
  * Belarusian (be.po) by Pavel Piatruk


## debian-installer-utils 1.82ubuntu1

=== debian/changelog ===
debian-installer-utils (1.82ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - user-params: Don't propagate vga=*, break=*, *-ubiquity, or
      noninteractive to installed system.
    - Use /proc/self/fd/4 rather than /dev/fd/4 in fetch-url-methods/http;
      the latter doesn't seem to exist in d-i.
    - list-devices: new "mmc-partition" type for detecting partitions on MMC
      devices.
    - Don't include the battery subsystem on calls to udevadm trigger.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 05 Jan 2011 13:45:40 +0000

debian-installer-utils (1.81ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - user-params: Don't propagate vga=*, break=*, *-ubiquity, or
      noninteractive to installed system.
    - Use /proc/self/fd/4 rather than /dev/fd/4 in fetch-url-methods/http;
      the latter doesn't seem to exist in d-i.
    - list-devices: new "mmc-partition" type for detecting partitions on MMC
      devices.
    - Don't include the battery subsystem on calls to udevadm trigger.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 13 Nov 2010 13:40:06 +0000

debian-installer-utils (1.80ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - user-params: Don't propagate vga=*, break=*, *-ubiquity, or
      noninteractive to installed system.
    - Use /proc/self/fd/4 rather than /dev/fd/4 in fetch-url-methods/http;
      the latter doesn't seem to exist in d-i.
    - list-devices: new "mmc-partition" type for detecting partitions on MMC
      devices.
    - Don't include the battery subsystem on calls to udevadm trigger.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 15 Oct 2010 11:58:35 +0100

debian-installer-utils (1.79ubuntu1) maverick; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - user-params: Don't propagate vga=*, break=*, *-ubiquity, or
      noninteractive to installed system.
    - Use /proc/self/fd/4 rather than /dev/fd/4 in fetch-url-methods/http;
      the latter doesn't seem to exist in d-i.
    - list-devices: new "mmc-partition" type for detecting partitions on MMC
      devices.
    - Don't include the battery subsystem on calls to udevadm trigger.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 23 Aug 2010 14:21:53 +0100

debian-installer-utils (1.77ubuntu1) maverick; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - user-params: Don't propagate vga=*, break=*, *-ubiquity, or
      noninteractive to installed system.
    - Use /proc/self/fd/4 rather than /dev/fd/4 in fetch-url-methods/http;
      the latter doesn't seem to exist in d-i.
    - list-devices: new "mmc-partition" type for detecting partitions on MMC
      devices.
    - Don't include the battery subsystem on calls to udevadm trigger.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 20 Aug 2010 01:54:38 +0100

debian-installer-utils (1.75ubuntu1) maverick; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - user-params: Don't propagate vga=*, break=*, *-ubiquity, or
      noninteractive to installed system.
    - Use /proc/self/fd/4 rather than /dev/fd/4 in fetch-url-methods/http;
      the latter doesn't seem to exist in d-i.
    - list-devices: new "mmc-partition" type for detecting partitions on MMC
      devices.
    - Don't include the battery subsystem on calls to udevadm trigger.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 21 May 2010 16:57:48 +0100

## debian-installer-utils 1.82ubuntu1.2

=== debian/changelog ===
debian-installer-utils (1.82ubuntu1.2) natty-proposed; urgency=low

  [ Scott Moser ]
  * Add --quiet to dpkg-divert calls in chroot_setup.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 06 Jan 2012 12:29:11 +0000

debian-installer-utils (1.82ubuntu1.1) natty-proposed; urgency=low

  * chroot_setup.sh: Divert start-stop-daemon and initctl rather than simply
    moving them aside (LP: #900526).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 04 Jan 2012 15:10:26 +0000

## debian-installer-utils 1.82+squeeze1

=== Makefile ===
ifndef TARGETS
TARGETS=mapdevfs log-output
endif

CFLAGS=-Wall -W -Os -fomit-frame-pointer -g
INSTALL=install
STRIPTOOL=strip
STRIP = $(STRIPTOOL) --remove-section=.note --remove-section=.comment

all: $(TARGETS)

mapdevfs: mapdevfs.c
	$(CC) $(CFLAGS) $^ -o $@ -ldebian-installer

log-output: log-output.c
	$(CC) $(CFLAGS) $^ -o $@ -ldebian-installer

strip: $(TARGETS)
	$(STRIP) $^

clean:
	rm -f $(OBJECTS) $(TARGETS)

test:
	$(MAKE) -C testsuite test

=== debian/changelog ===
debian-installer-utils (1.82+squeeze1) stable; urgency=low

  * chroot_setup.sh: Export SUDO_FORCE_REMOVE=yes, since removing sudo is
    never harmful during installation and is occasionally useful, e.g. when
    installing sudo-ldap (closes: #586887).

 -- Colin Watson <cjwatson@debian.org>  Wed, 28 Sep 2011 13:03:23 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: debian-installer-utils
 Section: debian-installer
 Priority: standard
-Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Bastian Blank <waldi@debian.org>, Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>, Frans Pop <fjp@debian.org>
-Build-Depends: debhelper (>= 5.0.22), dpkg-dev (>= 1.9.0), libdebconfclient0-dev (>= 0.68), po-debconf (>= 0.5.0), libdebian-installer4-dev (>= 0.41)
-XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/debian-installer-utils
-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/debian-installer-utils/ubuntu
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Uploaders: Bastian Blank <waldi@debian.org>, Colin Watson <cjwatson@debian.org>
+Build-Depends: debhelper (>= 7.0.50), dpkg-dev (>= 1.9.0), libdebconfclient0-dev (>= 0.68), po-debconf (>= 0.5.0), libdebian-installer4-dev (>= 0.41)
+Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/debian-installer-utils
 
 Package: di-utils-shell
 Architecture: all
@@ -43,6 +41,6 @@
 XC-Package-Type: udeb
 
 Package: di-utils-terminfo
-Architecture: all
+Architecture: any
 Description: Terminfo entries needed by newt/slang in debian installer
 XC-Package-Type: udeb

=== debian/rules ===
#! /usr/bin/make -f
%:
	dh $@

TERMNAMES = a/ansi d/dumb l/linux v/vt102

ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
TERMNAMES += c/cons25
endif

ifeq ($(DEB_HOST_ARCH_OS),hurd)
TERMNAMES += h/hurd m/mach-color
endif

TERMS = $(foreach term,$(TERMNAMES),\
          $(firstword $(wildcard /lib/terminfo/$(term)) \
                      $(wildcard /usr/share/terminfo/$(term))))

override_dh_auto_install:
	for file in $(TERMS); do \
		mkdir -p debian/di-utils-terminfo/`dirname $$file`; \
		cp -pL $$file debian/di-utils-terminfo/$$file; \
		chmod 644 debian/di-utils-terminfo/$$file; \
	done

	mkdir -p debian/di-utils/bin
	cp -pL list-devices-$(DEB_HOST_ARCH_OS) debian/di-utils/bin/list-devices
	chmod 755 debian/di-utils/bin/list-devices

## debian-installer-utils 1.84

=== debian/changelog ===
debian-installer-utils (1.84) unstable; urgency=low

  [ Samuel Thibault ]
  * Add CD-ROM detection on hurd-i386.

  [ Colin Watson ]
  * Bind-mount /run onto /target/run during in-target on Linux, if the
    latter exists.

 -- Colin Watson <cjwatson@debian.org>  Thu, 26 May 2011 14:20:35 +0100

debian-installer-utils (1.83) unstable; urgency=low

  [ Colin Watson ]
  * Add an --allow-remove option to apt-install, which inhibits passing
    --no-remove to apt-get.
  * Ensure that DEB_HOST_ARCH_OS is set (thanks, Jurij Smakov).

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Czech (cs.po) by Miroslav Kure
  * Esperanto (eo.po) by Felipe Castro
  * Spanish (es.po) by Javier Fernández-Sanguino
  * Korean (ko.po) by Changwoo Ryu
  * Romanian (ro.po) by Eddy Petrișor
  * Northern Sami (se.po) by Børre Gaup
  * Slovak (sk.po) by Ivan Masár
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Uyghur (ug.po) by Sahran

 -- Christian Perrier <bubulle@debian.org>  Fri, 22 Apr 2011 22:40:45 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>, Colin Watson <cjwatson@debian.org>
 Build-Depends: debhelper (>= 7.0.50), dpkg-dev (>= 1.9.0), libdebconfclient0-dev (>= 0.68), po-debconf (>= 0.5.0), libdebian-installer4-dev (>= 0.41)
-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/debian-installer-utils
+Vcs-Browser: http://git.debian.org/?p=d-i/debian-installer-utils.git
+Vcs-Git: git://git.debian.org/d-i/debian-installer-utils.git
 
 Package: di-utils-shell
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #! /usr/bin/make -f
 %:
 	dh $@
+
+DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
 TERMNAMES = a/ansi d/dumb l/linux v/vt102

## debian-installer-utils 1.84ubuntu1

=== debian/changelog ===
debian-installer-utils (1.84ubuntu1) oneiric; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - user-params: Don't propagate vga=*, break=*, *-ubiquity, or
      noninteractive to installed system.
    - Use /proc/self/fd/4 rather than /dev/fd/4 in fetch-url-methods/http;
      the latter doesn't seem to exist in d-i.
    - list-devices: new "mmc-partition" type for detecting partitions on MMC
      devices.
    - Don't include the battery subsystem on calls to udevadm trigger.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 26 May 2011 16:29:22 +0100

debian-installer-utils (1.83ubuntu1) oneiric; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - user-params: Don't propagate vga=*, break=*, *-ubiquity, or
      noninteractive to installed system.
    - Use /proc/self/fd/4 rather than /dev/fd/4 in fetch-url-methods/http;
      the latter doesn't seem to exist in d-i.
    - list-devices: new "mmc-partition" type for detecting partitions on MMC
      devices.
    - Don't include the battery subsystem on calls to udevadm trigger.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 03 May 2011 11:39:44 +0100

## debian-installer-utils 1.84ubuntu1.2

=== debian/changelog ===
debian-installer-utils (1.84ubuntu1.2) oneiric-proposed; urgency=low

  [ Scott Moser ]
  * Add --quiet to dpkg-divert calls in chroot_setup.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 06 Jan 2012 12:30:44 +0000

debian-installer-utils (1.84ubuntu1.1) oneiric-proposed; urgency=low

  * chroot_setup.sh: Divert start-stop-daemon and initctl rather than simply
    moving them aside (LP: #900526).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 04 Jan 2012 15:13:40 +0000

## debian-installer-utils 1.85

=== debian/changelog ===
debian-installer-utils (1.85) unstable; urgency=low

  [ Samuel Thibault ]
  * Add SCSI HDD and CD-ROM detection on hurd-i386.

  [ Colin Watson ]
  * chroot_setup.sh: Export SUDO_FORCE_REMOVE=yes, since removing sudo is
    never harmful during installation and is occasionally useful, e.g. when
    installing sudo-ldap (closes: #586887).

  [ Updated translations ]
  * Belarusian (be.po) by Viktar Siarheichyk
  * Bulgarian (bg.po) by Damyan Ivanov
  * German (de.po) by Holger Wansing
  * Basque (eu.po)
  * Hebrew (he.po) by Lior Kaplan
  * Hindi (hi.po) by Kumar Appaiah
  * Italian (it.po) by Milo Casagrande
  * Japanese (ja.po) by Kenshi Muto
  * Macedonian (mk.po) by Arangel Angov
  * Dutch (nl.po) by Jeroen Schot
  * Polish (pl.po) by Marcin Owsiany
  * Romanian (ro.po) by Ioan Eugen Stan
  * Sinhala (si.po) by Danishka Navin
  * Simplified Chinese (zh_CN.po) by YunQiang Su

 -- Colin Watson <cjwatson@debian.org>  Tue, 27 Sep 2011 18:12:05 +0100

## debian-installer-utils 1.87

=== debian/changelog ===
debian-installer-utils (1.87) unstable; urgency=low

  * Install "x/xterm" on GNU/kFreeBSD, make "l/linux" Linux-only.

 -- Robert Millan <rmh@debian.org>  Fri, 04 Nov 2011 23:32:48 +0100

debian-installer-utils (1.86) unstable; urgency=high

  * Fix detection of whether /target/run has already been mounted (closes:
    #646829).

  [ Updated translations ]
  * Hebrew (he.po) by Lior Kaplan

 -- Colin Watson <cjwatson@debian.org>  Thu, 27 Oct 2011 17:45:21 +0100

## debian-installer-utils 1.88ubuntu2.1

=== debian/changelog ===
debian-installer-utils (1.88ubuntu2.1) precise-proposed; urgency=low

  * log-output: Always install a no-op SIGCHLD handler, in case the
    subsidiary process starts a daemon which does not fully disconnect its
    standard file descriptors (LP: #1021293).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 20 Jul 2012 17:18:51 +0100

debian-installer-utils (1.88ubuntu2) precise; urgency=low

  [ Scott Moser ]
  * Add --quiet to dpkg-divert calls in chroot_setup (LP: #912431).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 06 Jan 2012 12:19:21 +0000

debian-installer-utils (1.88ubuntu1) precise; urgency=low

  * Resynchronise with Debian (diversion change fixes LP: #900526).
    Remaining changes:
    - user-params: Don't propagate vga=*, break=*, *-ubiquity, or
      noninteractive to installed system.
    - Use /proc/self/fd/4 rather than /dev/fd/4 in fetch-url-methods/http;
      the latter doesn't seem to exist in d-i.
    - list-devices: new "mmc-partition" type for detecting partitions on MMC
      devices.
    - Don't include the battery subsystem on calls to udevadm trigger.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 04 Jan 2012 14:36:47 +0000

debian-installer-utils (1.88) unstable; urgency=low

  [ Colin Watson ]
  * chroot_setup.sh: Divert start-stop-daemon and initctl rather than simply
    moving them aside (closes: #654580).

  [ Updated translations ]
  * Icelandic (is.po) by Sveinn í Felli
  * Kannada (kn.po) by Prabodh C P

 -- Colin Watson <cjwatson@debian.org>  Wed, 04 Jan 2012 13:37:09 +0000

debian-installer-utils (1.87ubuntu1) precise; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - user-params: Don't propagate vga=*, break=*, *-ubiquity, or
      noninteractive to installed system.
    - Use /proc/self/fd/4 rather than /dev/fd/4 in fetch-url-methods/http;
      the latter doesn't seem to exist in d-i.
    - list-devices: new "mmc-partition" type for detecting partitions on MMC
      devices.
    - Don't include the battery subsystem on calls to udevadm trigger.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 11 Nov 2011 12:42:31 +0000

debian-installer-utils (1.85ubuntu1) precise; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - user-params: Don't propagate vga=*, break=*, *-ubiquity, or
      noninteractive to installed system.
    - Use /proc/self/fd/4 rather than /dev/fd/4 in fetch-url-methods/http;
      the latter doesn't seem to exist in d-i.
    - list-devices: new "mmc-partition" type for detecting partitions on MMC
      devices.
    - Don't include the battery subsystem on calls to udevadm trigger.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 18 Oct 2011 18:17:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: debian-installer-utils
 Section: debian-installer
 Priority: standard
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>, Colin Watson <cjwatson@debian.org>
 Build-Depends: debhelper (>= 7.0.50), dpkg-dev (>= 1.9.0), libdebconfclient0-dev (>= 0.68), po-debconf (>= 0.5.0), libdebian-installer4-dev (>= 0.41)
-Vcs-Browser: http://git.debian.org/?p=d-i/debian-installer-utils.git
-Vcs-Git: git://git.debian.org/d-i/debian-installer-utils.git
+XS-Debian-Vcs-Browser: http://git.debian.org/?p=d-i/debian-installer-utils.git
+XS-Debian-Vcs-Git: git://git.debian.org/d-i/debian-installer-utils.git
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/debian-installer-utils/ubuntu
 
 Package: di-utils-shell
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,14 @@
 
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
-TERMNAMES = a/ansi d/dumb l/linux v/vt102
+TERMNAMES = a/ansi d/dumb v/vt102
+
+ifeq ($(DEB_HOST_ARCH_OS),linux)
+TERMNAMES += l/linux
+endif
 
 ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
-TERMNAMES += c/cons25
+TERMNAMES += c/cons25 x/xterm
 endif
 
 ifeq ($(DEB_HOST_ARCH_OS),hurd)
